---
title: column-rule
slug: Web/CSS/column-rule
tags:
  - CSS
  - CSS Multi-column Layout
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>column-rule</code></strong> <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand</a> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the width, style, and color of the line drawn between columns in a multi-column layout.</p>

<div>{{EmbedInteractiveExample("pages/css/column-rule.html")}}</div>

<p>It is a <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand property</a> that sets the individual <code>column-rule-*</code> properties in a single, convenient declaration: {{Cssxref("column-rule-width")}}, {{Cssxref("column-rule-style")}}, and {{Cssxref("column-rule-color")}}.</p>

<div class="note">
<p><strong>Note:</strong> As with all shorthand properties, any individual value that is not specified is set to its corresponding initial value (possibly overriding values previously set using non-shorthand properties).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">column-rule: dotted;
column-rule: solid 8px;
column-rule: solid blue;
column-rule: thick inset blue;

/* Global values */
column-rule: inherit;
column-rule: initial;
column-rule: unset;
</pre>

<p>The <code>column-rule</code> property is specified as one, two, or three of the values listed below, in any order.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;'column-rule-width'&gt;</code></dt>
 <dd>Is a {{cssxref("&lt;length&gt;")}} or one of the three keywords, <code>thin</code>, <code>medium</code>, or <code>thick</code>. See {{cssxref("border-width")}} for details.</dd>
 <dt><code>&lt;'column-rule-style'&gt;</code></dt>
 <dd>See {{cssxref("border-style")}} for possible values and details.</dd>
 <dt><code>&lt;'column-rule-color'&gt;</code></dt>
 <dd>Is a {{cssxref("&lt;color&gt;")}} value.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Example_1">Example 1</h3>

<pre class="brush: css notranslate">/* Same as "medium dotted currentcolor" */
p.foo { column-rule: dotted; }

/* Same as "medium solid blue" */
p.bar { column-rule: solid blue; }

/* Same as "8px solid currentcolor" */
p.baz { column-rule: solid 8px; }

p.abc { column-rule: thick inset blue; }
</pre>

<h3 id="Example_2">Example 2</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="content-box"&gt;
  This is a bunch of text split into three columns.
  Take note of how the `column-rule` property is used
  to adjust the style, width, and color of the rule
  that appears between the columns.
&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.content-box {
  padding: 0.3em;
  background: #ff7;
  column-count: 3;
  column-rule: inset 2px #33f;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Example_2')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Multicol', '#column-rule', 'column-rule')}}</td>
   <td>{{Spec2('CSS3 Multicol')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.column-rule")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/CSS/CSS_layout/Multiple-column_Layout">Multiple-column Layout</a></li>
 <li>{{CSSXref("column-rule-style")}}</li>
 <li>{{CSSXref("column-rule-width")}}</li>
 <li>{{CSSXref("column-rule-color")}}</li>
</ul>
